#! /usr/bin/env python
# Copyright (C) 2007 by Intevation GmbH
# Authors:
# Bernhard Herzog <bh@intevation.de>
#
# This program is free software under the GPL (>=v2)
# Read the file GPL.txt coming with the software for details.

"""Adds a username and password to a OSAAS user database
Usage
  adduser.py -f USERDBFILE USERNAME
"""

import sys
import getpass

import optparse

from osaas.userdb import UserDB

def ask_password(username):
    while 1:
        pw1 = getpass.getpass("Password for %r: " % username)
        pw2 = getpass.getpass("Repeat password: ")
        if pw1 == pw2:
            return pw1
        else:
            print "Passwords don't match."

def main():
    parser = optparse.OptionParser()
    parser.add_option("--userdb", "-f")

    opts, rest = parser.parse_args()

    if len(rest) != 1:
        print >>sys.stderr, __doc__
        sys.exit(1)

    username = rest[0]

    userdb = UserDB()
    userdb.read(opts.userdb)
    userdb.add_user(username, ask_password(username))
    userdb.write(opts.userdb)


if __name__ == "__main__":
    main()
