# Copyright (C) 2007, 2008 by Intevation GmbH
# Authors:
# Bernhard Herzog <bh@intevation.de>
#
# This program is free software under the GPL (>=v2)
# Read the file GPL.txt coming with the software for details.

import sys

from http.run import ProgramWithOptions
from run import OSAASProgramMixin
from dbbackend import DBBackend, load_db_api

class DBInitProgram(OSAASProgramMixin, ProgramWithOptions):

    def create_option_parser(self, **kw):
        parser = ProgramWithOptions.create_option_parser(self, **kw)
        self.add_db_options(parser)
        return parser

    def main(self):
        opts, rest = self.parse_options(sys.argv[1:])
        backend = DBBackend(load_db_api(opts.db_type),
                            (opts.db_parameters,
                             opts.db_user, opts.db_password, opts.db_dsn),
                            opts.db_rules)
        backend.create_tables()


def main():
    program = DBInitProgram()
    program.main()
