# Copyright (C) 2007 by Intevation GmbH
# Authors:
# Bernhard Herzog <bh@intevation.de>
#
# This program is free software under the GPL (>=v2)
# Read the file GPL.txt coming with the software for details.

def sorted(sequence):
    L = list(sequence)
    L.sort()
    return L

# add missing builtins
import __builtin__
for name, value in [("sorted", sorted)]:
    if not hasattr(__builtin__, name):
        setattr(__builtin__, name, value)

# add some missing functions to existing modules

import base64
def b64encode(s):
    return base64.encodestring(s).strip()
def b64decode(s):
    return base64.decodestring(s)

for modulename, function in [("base64", b64encode),
                             ("base64", b64decode)]:
    module = __import__(modulename)
    if not hasattr(module, function.__name__):
        setattr(module, function.__name__, function)
